riak ubuntu 11 building problems

Ivan Trajkovic ivan.ebiz at gmail.com
Tue Nov 8 15:37:56 EST 2011


any idea on why this might be happening?
for now Im using Ubuntu 10.04 for my riak development, but would really
love to have it running on my Ubuntu 11.04 machines...


ps. by accident I see I sent the last email reply to Jared personally
instead of to the riak list...

On Wed, Nov 2, 2011 at 4:05 PM, Ivan Trajkovic <ivan.ebiz at gmail.com> wrote:

> hello Jared
> thank you for getting back to me
>
> Im compiling against erlang R14B03
> here is the output of running "make rel" in the riak source base dir.
>
> $ make rel
> ./rebar get-deps
> ==> cluster_info (get-deps)
> ==> rel (get-deps)
> ==> riak (get-deps)
> ERROR: Dependency dir /media/data/installs/riak/deps/luwak failed
> application validation with reason:
> {version_mismatch,{"/media/data/installs/riak/deps/luwak/ebin/luwak.app",
>                    {expected,"1.1.1"},
>                    {has,"1.1.0"}}}.
> make: *** [deps] Error 1
>
>
>
>
>
>
> I think I got passed these errors a few days ago by manually
> 1. "git fetch"
> 2. "git reset --hard origin/master"
> in each of the dependency sub-folders(repos)...
>
>
>
>
>
>
>
>
> On Mon, Oct 31, 2011 at 2:30 PM, Jared Morrow <jared at basho.com> wrote:
>
>> Ivan,
>>
>> We build the Riak 1.0 packages with Erlang R14B03 currently.   We build
>> on both Ubuntu 10 and Ubuntu 11 based machines with erlang compiled from
>> source from erlang.org.   I can take a look at your issues, can you put
>> the following output in a gist or pastebin for me?
>>
>> $ which erl
>> $ erl -version
>> $ git clone git at github.com:basho/riak
>> $ cd riak
>> $ make rel
>>
>> Thanks,
>> Jared
>>
>>  On Mon, Oct 31, 2011 at 12:06 PM, Ivan Trajkovic <ivan.ebiz at gmail.com>wrote:
>>
>>>  so yes the build on ubuntu 11.04 is definitely broken. I tried multiple
>>> machines.
>>> ubuntu 10.04 builds without a glitch.
>>>
>>> online I see no tutorials on building on 11.04
>>> is this something thats not a common case?
>>>
>>>
>>> On Sat, Oct 29, 2011 at 2:08 AM, Ivan Trajkovic <ivan.ebiz at gmail.com>wrote:
>>>
>>>> hello all
>>>> Im having some problems with building riak from the github sources, on
>>>> ubuntu 11
>>>> Ive reproduced this issue on one of my home computers and a linode
>>>> virtual server, both running ubuntu 11
>>>>
>>>>
>>>> first of all riak 1.0.1 checkout requires me to have erlang R14B3,
>>>> which is confusing to me since the riak_1.0.1_i386.deb seems to be working
>>>> off of erlang R15A.
>>>> the requirement is manifested in a message being spit out half way
>>>> through the riak "make rel", about erlang not being of the correct version.
>>>> so I compiled a older R14B3 version of erlang and restarted the riak
>>>> build process...
>>>> it does finish "make rel" then but goes on to require "nodetools" which
>>>> are not present in the erts-5.9 which is whats being checked, and is
>>>> instead hiding in erts-5.8.4 folder (which is not whats used by riak). so I
>>>> went ahead and copied nodetools from 5.8.4 and put it in 5.9... it doesnt
>>>> complain about that anymore after that... however then the new memsup
>>>> issues pop up, with the Erlang VM dying each time I run "riak start"
>>>> without any messages except mentioning memsup as the final issue...
>>>>
>>>> for the memsup issue I did check that ulimit is allowing 1024 file
>>>> handles, and have increased that limit further as well, but no luck.
>>>>
>>>>
>>>>
>>>> please let me know if you need some more info about my setup, or
>>>> thoughts/ideas about what I might be dealing with.
>>>>
>>>>
>>>>
>>>> help is appreciated
>>>> thanks
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>
>>> _______________________________________________
>>> riak-users mailing list
>>> riak-users at lists.basho.com
>>> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>>>
>>>
>>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.basho.com/pipermail/riak-users_lists.basho.com/attachments/20111108/9129254d/attachment.html>


More information about the riak-users mailing list